%bcond_without ptipython

Summary:        Python REPL build on top of prompt_toolkit
Name:           ptpython
Version:        3.0.23
Release: 1%{?dist}
License:        BSD-3-Clause
URL:            https://github.com/prompt-toolkit/ptpython
Source0:         %{pypi_source ptpython}
BuildArch:      noarch

%global common_description %{expand:
Ptpython is an advanced Python REPL built on top of the prompt_toolkit library.
It features syntax highlighting, multiline editing (the up arrow works),
autocompletion, mouse support, support for color schemes, support for bracketed
paste, both Vi and Emacs key bindings, support for double width (Chinese)
characters, and many other things.}


%description %{common_description}


%package -n ptpython3
Summary:        %{summary}
BuildRequires:  python3-devel
Provides:       ptpython = %{version}-%{release}


%description -n ptpython3 %{common_description}


%prep
%autosetup
find -name \*.py | xargs sed -i -e '1 {/^#!\//d}'


%generate_buildrequires
%pyproject_buildrequires %{?with_ptipython:-x ptipython}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files ptpython
%if %{without ptipython}
rm %{buildroot}%{_bindir}/ptipython*
%endif


%check


%files -n ptpython3 -f %{pyproject_files}
%doc CHANGELOG README.rst
%{_bindir}/ptpython
%{_bindir}/ptpython3
%{_bindir}/ptpython%{python3_version}


%if %{with ptipython}
%package -n ptpython3+ptipython
Summary: Subpackage for ptpython3 with extra ptipython dependencies
Requires: ptpython3

%description -n ptpython3+ptipython
This is the subpackage for ptpython3 with extra ptipython dependencies.

%files -n ptpython3+ptipython -f %{_pyproject_ghost_distinfo}

%{_bindir}/ptipython
%{_bindir}/ptipython3
%{_bindir}/ptipython%{python3_version}
%endif


%changelog
* Mon Jul 08 2024 Ze Zhang <Ze Zhang@tencent.com> - 3.0.23-1
- initial build
